## ros-eloquent-rclcpp-action 0.8.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rclcpp_action)

find_package(ament_cmake_ros REQUIRED)
find_package(action_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcl_action REQUIRED)
find_package(rosidl_generator_cpp REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

include_directories(include)

set(${PROJECT_NAME}_SRCS
  src/client.cpp
  src/qos.cpp
  src/server.cpp
  src/server_goal_handle.cpp
  src/types.cpp
)

add_library(${PROJECT_NAME}
  ${${PROJECT_NAME}_SRCS})

ament_target_dependencies(${PROJECT_NAME}
  "action_msgs"
  "rcl_action"
  "rclcpp"
  "rosidl_generator_c"
  "rosidl_generator_cpp")

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "RCLCPP_ACTION_BUILDING_LIBRARY")

install(
  DIRECTORY include/
  DESTINATION include)

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_export_dependencies(ament_cmake)
ament_export_dependencies(action_msgs)
ament_export_dependencies(rclcpp)
ament_export_dependencies(rcl_action)
ament_export_dependencies(rosidl_generator_c)
ament_export_dependencies(rosidl_generator_cpp)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_client test/test_client.cpp TIMEOUT 120)
  if(TARGET test_client)
    ament_target_dependencies(test_client
      "test_msgs"
    )
    target_link_libraries(test_client
      ${PROJECT_NAME}
    )
  endif()

  ament_add_gtest(test_server test/test_server.cpp)
  if(TARGET test_server)
    ament_target_dependencies(test_server
      "test_msgs"
    )
    target_link_libraries(test_server
      ${PROJECT_NAME}
    )
  endif()

  ament_add_gtest(test_traits test/test_traits.cpp)
  if(TARGET test_traits)
    ament_target_dependencies(test_traits
      "test_msgs"
    )
    target_link_libraries(test_traits
      ${PROJECT_NAME}
    )
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-eloquent-rclcpp-action (0.8.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rclcpp-action (0.8.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-rclcpp-action (0.8.3-1bionic) bionic; urgency=high

  * issue-919 Fixed "memory leak" in action clients (#920 <https://github.com/ros2/rclcpp/issues/920>)
  * Contributors: astere-cpr

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-rclcpp-action (0.8.2-1bionic) bionic; urgency=high

  * Increased a timeout for the ``test_client`` tests. (#917 <https://github.com/ros2/rclcpp/issues/917>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-rclcpp-action (0.8.1-1bionic) bionic; urgency=high

  * Template node type for rclcpp action server and clients (#892 <https://github.com/ros2/rclcpp/issues/892>)
  * Trait tests for generated actions (#853 <https://github.com/ros2/rclcpp/issues/853>)
  * Do not throw exception in action client if take fails (#888 <https://github.com/ros2/rclcpp/issues/888>)
  * Contributors: Jacob Perron, Michael Carroll, Steven Macenski

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rclcpp-action (0.8.0-1bionic) bionic; urgency=high

  * Fix UnknownGoalHandle error string. (#856 <https://github.com/ros2/rclcpp/issues/856>)
  * Guard against making multiple result requests for a goal handle (#808 <https://github.com/ros2/rclcpp/issues/808>)
  * Add line break after first open paren in multiline function call (#785 <https://github.com/ros2/rclcpp/issues/785>)
  * Fix typo in test fixture tear down method name (#787 <https://github.com/ros2/rclcpp/issues/787>)
  * Contributors: Chris Lalancette, Dan Rose, Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-rclcpp-action (0.7.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-action (0.7.4-1bionic) bionic; urgency=high

  * Guard against calling null goal response callback (#738 <https://github.com/ros2/rclcpp/issues/738>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-action (0.7.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-action (0.7.2-1bionic) bionic; urgency=high

  * Added return code to CancelGoal service response. (#710 <https://github.com/ros2/rclcpp/issues/710>)
  * Contributors: Jacob Perron, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rclcpp-action (0.7.1-1bionic) bionic; urgency=high

  * Added optional callbacks to action client for goal, response, and result. (#701 <https://github.com/ros2/rclcpp/issues/701>)
  * Added overload for node interfaces. (#700 <https://github.com/ros2/rclcpp/issues/700>)
  * Renamed action state transitions. (#677 <https://github.com/ros2/rclcpp/issues/677>)
  * Contributors: Jacob Perron, Karsten Knese

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-eloquent-rclcpp-action (0.7.0-1bionic) bionic; urgency=high

  * Fixed hard-coded duration type representation so int64_t isn't assumed. (#648 <https://github.com/ros2/rclcpp/issues/648>)
  * Added documentation to rclcpp_action. (#650 <https://github.com/ros2/rclcpp/pull/650>)
  * Updated to use separated action types. (#601 <https://github.com/ros2/rclcpp/issues/601>)
  * Updated to wait for action server before sending goal. (#637 <https://github.com/ros2/rclcpp/issues/637>)
  * Refactored server goal handle's try_canceling() function. (#603 <https://github.com/ros2/rclcpp/issues/603>)
  * Contributors: Emerson Knapp, Jacob Perron, Michel Hidalgo, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-rclcpp-action (0.6.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-rclcpp-action (0.6.1-1bionic) bionic; urgency=high

  * Added wait_for_action_server() for action clients (#598 <https://github.com/ros2/rclcpp/issues/598>)
  * Updated to adapt to action implicit changes (#602 <https://github.com/ros2/rclcpp/issues/602>)
  * Added rclcpp_action Server implementation (#593 <https://github.com/ros2/rclcpp/issues/593>)
  * Added action client implementation (#594 <https://github.com/ros2/rclcpp/issues/594>)
  * Added skeleton for Action Server and Client (#579 <https://github.com/ros2/rclcpp/issues/579>)
  * Contributors: Michel Hidalgo, Shane Loretz, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 07 Dec 2018 06:00:00 -0000

=== debian/control ===
Source: ros-eloquent-rclcpp-action
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-action-msgs, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-rcl-action, ros-eloquent-rclcpp, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-generator-cpp, ros-eloquent-test-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rclcpp-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-action-msgs, ros-eloquent-ament-cmake, ros-eloquent-rcl-action, ros-eloquent-rclcpp, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-generator-cpp, ros-eloquent-ros-workspace
Description: Adds action APIs for C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rclcpp-action//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
